Re: [DISCUSS] 0.4.0 version and 0.2 EOL


Jerry He <jerr...@...>
 

+1 on EOL on 0.2 soon and branch off 0.3 from master.

Jerry 

On Tue, Jan 29, 2019 at 5:20 AM Oleksandr Porunov <alexand...@...> wrote:
I think that it will be too much pain to support more than 2 branches right now. I also think that 0.2.3 release should be the last one in the 0.2 branch and then we can support 0.3 and 0.4 versions.

On Tuesday, January 29, 2019 at 12:40:55 PM UTC+2, Florian Hockmann wrote:
There are currently two issues that we probably want to include in a release soon:
  • Upgrade to TinkerPop 3.4.0 (#1364)
  • Upgrade Cassandra to 2.2 (#1398)
These two issues are too big in my opinion to be included in a patch release release like 0.3.2. So, I suggest that we create a 0.3 branch and then use master for an upcoming 0.4.0 release.

Another question is whether we want to continue supporting the 0.2 branch. Considering that we already decided in 2017 that 0.2 should only get critical bug fixes from that point on, I suggest that we don't support the 0.2 branch any more after the next release (0.2.3).

Any thoughts on either of these issues? Any good reason for continued support of 0.2?

--
You received this message because you are subscribed to the Google Groups "JanusGraph developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to janusgr...@....
To post to this group, send email to janusgr...@....
To view this discussion on the web visit https://groups.google.com/d/msgid/janusgraph-dev/699e686f-c9f3-4582-ac30-1b6d917cf27b%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Join janusgraph-dev@lists.lfaidata.foundation to automatically receive all group messages.